<%--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
--%>

<%@ include file="/common/taglibs.jsp" %>

<%-- Error Messages --%>
<logic:messagesPresent>
    <div class="error">
        <c:url var='iconWarning' value='/images/iconWarning.gif'/>
        <html:messages id="error">
            <html:img src="${iconWarning}" altKey="icon.warning" styleClass="icon"/>
            <c:if test="${not empty error}">
                <c:out value="${error}"/><br/>
            </c:if>
        </html:messages>
    </div>
</logic:messagesPresent>

<%-- Success Messages --%>
<logic:messagesPresent message="true">
    <div class="message">    
        <c:url var='iconInformation' value='/images/iconInformation.gif'/>
        <html:messages id="message" message="true">
            <html:img src="${iconInformation}" altKey="icon.information" styleClass="icon"/>
            <c:if test="${not empty message}">
                <c:out value="${message}"/><br/>
            </c:if>
        </html:messages>
    </div>
</logic:messagesPresent>
