<%--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
--%>

<%@ page language="java" %>

<%@ taglib uri="http://jakarta.apache.org/struts/tags-html-el" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-logic-el" prefix="logic" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-tiles-el" prefix="tiles" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<%@ taglib uri="http://displaytag.sf.net/el" prefix="display" %>

<%--
<%@ taglib uri="http://www.opensymphony.com/oscache" prefix="cache" %>
--%>

<%-- Set all pages that include this page (particularly tiles) to use XHTML --%>
<html:xhtml />

<%-- Get messages bundle from initialization parameter --%>
<c:if test="${empty commonBundle}">
    <fmt:setBundle var="commonBundle" 
                   basename="${initParam['net.sf.oness.common.webapp.localizationContext']}"
                   scope="application"/>
</c:if>
