<%--
 * ========================================================================
 * 
 * Copyright 2004 Carlos Sanchez.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ========================================================================
--%>

<%@ include file="/common/taglibs.jsp" %>

<tiles:useAttribute name="bean" scope="request"/>

<c:if test="${bean.deletedBy == null}"> 

    <div class="detailsEditDeleteMenu">

        <ul id="menuList">

            <%-- edit --%>
            <li class="menubar">
                <c:url var="url" value="edit.do">
                    <c:param name="id" value="${bean.id}"/>
                </c:url>
                <a href="<c:out value='${url}'/>" class="standalone">
                    <fmt:message key="button.edit" bundle="${commonBundle}"/>
                </a>
            </li>

            <%-- delete --%>
            <li class="menubar">
                <c:url var="url" value="delete.do">
                    <c:param name="id" value="${bean.id}"/>
                </c:url>
                <a href="<c:out value='${url}'/>" class="standalone">
                    <fmt:message key="button.delete" bundle="${commonBundle}"/>
                </a>
            </li>

        </ul>

    </div>

</c:if>

